#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(std::vector<int> A){
    int N=(int)A.size();
    vector<int> resD, resM;
    resD.push_back(N-1);
    int cntd=0;
    while(cntd+1<=N/2){
        resD.push_back(cntd);
        cntd++;
    }
    for(int i=cntd;i<N-1;i++)
        resD.push_back(i);
    return resD;
}
